# module ActiveSupport::Base64

### Public Class Methods

decode64(value) click to toggle source

    # File lib/active_support/base64.rb, line 42
    def self.decode64(value)
      ActiveSupport::Deprecation.warn "ActiveSupport::Base64.decode64 "          "is deprecated. Use Base64.decode64 instead", caller
      ::Base64.decode64(value)
    end

encode64(value) click to toggle source

    # File lib/active_support/base64.rb, line 36
    def self.encode64(value)
      ActiveSupport::Deprecation.warn "ActiveSupport::Base64.encode64 "          "is deprecated. Use Base64.encode64 instead", caller
      ::Base64.encode64(value)
    end

encode64s(value) click to toggle source

    # File lib/active_support/base64.rb, line 48
    def self.encode64s(value)
      ActiveSupport::Deprecation.warn "ActiveSupport::Base64.encode64s "          "is deprecated. Use Base64.strict_encode64 instead", caller
      ::Base64.strict_encode64(value)
    end